Reader API
  1. Events
Reader API
  • Welcome to Omerlo
  • Authorization - OAuth 2
    • Client Credentials flow
      POST
    • Authorization Code flow
      POST
    • Refresh Token flow
      POST
    • Verify oauth user
      POST
    • User info
      GET
  • Accounts
    • User info
      GET
    • User entitlements
      GET
  • Announcements
    • Paginated Announcement list
      GET
    • Announcement by id
      GET
  • Blocks
    • Media Block by id
      GET
  • Categories
    • Paginated categories list
      GET
    • Category by id
      GET
  • Community
    • Events
      • Paginated Events
        GET
      • Search Events
        GET
      • Events dates by range
        GET
      • Event by id
        GET
      • Event blocks by id
        GET
    • Organizations
      • Paginated Organizations
      • Search Organizations
      • Organization by id
      • Organization blocks by id
    • People
      • Paginated People
      • Search People
      • Person by id
      • Person blocks by id
    • Projects
      • Paginated Projects
      • Search Projects
      • Project by id
      • Project blocks by id
  • Contents
    • Paginated Contents
      GET
    • Search Contents
      GET
    • Content by id
      GET
    • Content questions results by id
      GET
  • Devices
    • Register a device
  • Distributions
    • Releases
      • Paginated Release list
      • Release by id
    • Paginated Distribution list
    • Distribution by id
  • Favorites
    • Paginated favorite contents
    • Add favorite Content
    • Delete favorite by id
  • Issues
    • Issue by id
    • List Contents in Issue Section
    • Search Contents in Issue
    • Issue Section Blocks by section_id
  • Oauth Providers
    • List providers
  • Mailer
    • Send email
  • Menus
    • Menu by key
  • Sections
    • Section by id
    • Paginated Contents by Section id
  • Topics
    • List topics
    • Subscribe
    • Unsubscribe
  • Webpages
    • Paginated webpages list
    • Webpage by id
  • Media overview
    GET
  • Schemas
    • ReaderHub
      • Distribution
        • Distribution
        • Distribution (summary)
        • Release
        • Release (summary)
      • Issue
        • Issue
        • Issue (summary)
        • Issue Section
        • Issue Section (summary)
        • SectionContent
        • Issue Block
        • Issue BlockConfiguration (summary)
        • IssueType (summary)
      • Community
        • ProfileType (summary)
        • Profile BlockType (summary)
        • Event
        • Event (summary)
        • Organization
        • Organization (summary)
        • Person
        • Person (summary)
        • Project
        • Project (summary)
        • Profile (summary)
        • Profile Address
        • Profile Description Block
        • Profile Contact
        • Profile Block
      • Content
        • Blocks
          • Block kind Data
          • Block kind HTML
          • Block kind Image
          • Block kind Question
          • Block kind Quote
          • Block kind Related Contents
          • Block kind Richtext
          • Block kind Slideshow
          • Block kind Video
        • Author (summary)
        • Content Template (summary)
        • Content Block
        • Content Block Template (summary)
        • Content
        • Content (summary)
        • Questions answers
      • Media
        • Announcement
        • Announcement (summary)
        • Menu
        • Menu Item
        • Media Block (summary)
        • Media BlockConfiguration (summary)
        • Media Section
        • Media Section (summary)
        • Topic (summary)
        • Webpage
        • Webpage (summary)
        • Media
        • Media (summary)
        • Media Block
        • Media Block Configuration (summary)
      • OauthProviderSummary
    • Common
      • Visual
        • Image
        • Slideshow
        • Video
      • PagingMeta
      • Metadata
      • LocalesMetadata
      • Visual
      • Category
      • Category (summary)
  1. Events

Events dates by range

GET
/events/days

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Body

🟠400Missing x-omerlo header
🟠401Authorization
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET '/events/days?category_ids[]=ec9f56fd-6034-4ca2-a4f4-9cbe2be8a46b&profile_type_ids[]=18fe8bf4-3b27-47cc-a692-a20265164868&from=2026-01-01T05:00:00Z&to=2026-02-28T05:00:00Z&timezone=America/Montreal' \
--header 'x-omerlo-media-id: {{omerlo_media_id}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": [
        "2019-08-24"
    ],
    "assocs": {}
}
Previous
Search Events
Next
Event by id
Built with